package org.jtheque.films.services.impl.utils.search;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.primary.od.abstraction.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * An abstract search for some Data.
 *
 * @author Baptiste Wicht
 * @param <T> The extended type of Data.
 */
public abstract class AbstractSearch<T extends Data> implements Search<T> {
    private List<T> results;
    private T result;
    private Searcher<T> searcher;

    @Override
    public T getResult() {
        return result;
    }

    @Override
    public final List<T> getResults() {
        return results;
    }

    @Override
    public final void setResults(List<T> results) {
        this.results = new ArrayList<T>(results);
    }

    @Override
    public void setResult(T result) {
        this.result = result;
    }

    @Override
    public final Searcher<T> getSearcher() {
        return searcher;
    }

    @Override
    public final void setSearcher(Searcher<T> searcher) {
        this.searcher = searcher;
    }
}