package org.jtheque.films.view.able;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.core.managers.view.able.IView;
import org.jtheque.core.managers.view.able.components.IModel;

/**
 * An abstract view for simple views.
 *
 * @author Baptiste Wicht
 */
public abstract class AbstractView implements IView {
    @Override
    public final void display() {
    }

    @Override
    public final void closeDown() {
    }

    @Override
    public final void toFirstPlan() {
    }

    @Override
    public final void build() {
    }

    @Override
    public final void setEnabled(boolean enabled) {
    }

    @Override
    public final boolean isEnabled() {
        return true;
    }

    @Override
    public final void sendMessage(String message, Object value) {
    }

    @Override
    public final void refresh() {
    }

    @Override
    public final IModel getModel() {
        return null;
    }

    @Override
    public final void setModel(IModel model) {
    }

    @Override
    public final boolean validateContent() {
        return true;
    }
}
