package org.jtheque.films.view.impl.fb;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.core.utils.db.Note;
import org.jtheque.primary.controller.able.FormBean;
import org.jtheque.primary.od.CountryImpl;

/**
 * An actor formbean. This formbean contains all the informations of an actor. It is used by the inteface
 * to pass data to the controller.
 *
 * @author Baptiste Wicht
 */
public final class ActorFormBean implements FormBean {
    /* Paramtres de l'acteur */
    private String name;
    private String firstName;
    private CountryImpl country;
    private Note note;

    /**
     * Cette mthode modifie le nom du ralisation.
     *
     * @param nom The name of the realizer
     */
    public void setNom(String nom) {
        name = nom;
    }

    /**
     * Cette mthode modifie le prnom du ralisateur.
     *
     * @param firstName The first name of the realizer
     */
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    /**
     * Set the note of the realizer.
     *
     * @param note The note to set.
     */
    public void setNote(Note note) {
        this.note = note;
    }

    /**
     * Set the country of the realizer.
     *
     * @param country The country to set.
     */
    public void setCountry(CountryImpl country) {
        this.country = country;
    }

    /**
     * Cette mthode renvoie le nom de l'acteur.
     *
     * @return le nom de l'acteur
     */
    public String getName() {
        return name;
    }

    /**
     * Cette mthode renvoie le prnom de l'acteur.
     *
     * @return le prnom de l'acteur
     */
    public String getFirstName() {
        return firstName;
    }

    /**
     * Return the note of the realizer.
     *
     * @return the note.
     */
    public Note getNote() {
        return note;
    }

    /**
     * Return the country of the realizer.
     *
     * @return the country.
     */
    public CountryImpl getCountry() {
        return country;
    }
}